curl --request GET \
--url https://sandbox.cashfree.com/verification/pan/bulk \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/verification/pan/bulk"
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://sandbox.cashfree.com/verification/pan/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get Status.
Use this API to get the status of the Verify PAN in Bulk API request. You need to enter either the reference ID or bulk verification ID.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
Send the signature if two-factor authentication is selected as Public Key. More details.
It is the API version. To receive the aadhaar seeding status in the response, use any date after 2022-09-12.
Query Parameters
It is the unique ID created by Cashfree Payments that you receive in the response of Verify PAN in Bulk API.
It is the unique ID you created to identify the Verify PAN in Bulk API request.
Response
Success response for verifying a large number of PAN information.
It displays the unique ID created by you to identify the bulk verification request.
"1123456"
It displays the unique ID created by Cashfree Payments for reference purposes.
"515"
1
It contains the details of PAN for verification.
1Show child attributes
Show child attributes
{ "father_name": "John Doe", "message": "VALID", "name_match_result": "PARTIAL", "name_match_score": "0.7", "name_provided": "John De", "pan": "ABCDP3011E", "reference_id": 1234567, "registered_name": "John Doe", "status_code": "VALID", "type": "Individual", "valid": true }
Was this page helpful?